<!DOCTYPE html>
<app-unified-header></app-unified-header>

<div class="container">
    <div class="row justify-content-md-center">
        <div class="col-md-10 col-sm-10 col-12">
            <div class="site-url-page" id="site-url-page-default">
                <h3>Vedavaapi site url</h3>
                <div class="forms-holder">
                    <span class="site-url-progress-message"
                        *ngIf="siteUrlChangeStatusMessages">{{siteUrlChangeStatusMessages}}</span>
                    <input class="form-control" id="default-input-site-url" type="text" placeholder={{vvSiteUrl}}
                        readonly="readonly">
                    <small id="site_url_present_help_text" *ngIf="authorized" class="form-text text-muted">If the site
                        url is changed or removed, you will be logged out of the platform.</small>
                </div>
                <hr>
                <div class="site-url-btns-holder">
                    <button type="button" class="site-url-btn" (click)="removeSiteUrl()">Remove</button>
                    <button type="button" class="site-url-btn" (click)="changeSiteUrl()">Change</button>
                </div>
            </div>
            <div class="site-url-page" id="site-url-page-change">
                <h3>Change Vedavaapi site url</h3>
                <div class="forms-holder">
                    <div class="progress-message-holder">
                        <span class="site-url-progress-message"
                            *ngIf="siteUrlChangeStatusMessages">{{siteUrlChangeStatusMessages}}</span>
                    </div>
                    <input class="form-control" id="input-change-server-url" type="text" placeholder="Site URL">
                    <small id="help_text" *ngIf="authorized" class="form-text text-muted">If the site url is changed,
                        you will be logged out of the platform.</small>
                </div>
                <hr>
                <div class="site-url-btns-holder">
                    <button type="button" class="site-url-btn" (click)="backSiteUrl()">Back</button>
                    <button type="button" class="site-url-btn" (click)="saveChangedEndpointUrls()">Submit</button>
                </div>
            </div>
        </div>
    </div>
</div>